Commit 512b8f89 authored by giannozz's avatar giannozz

Version in configure update; documentation updated to reflect the absence

of the CUDA enabled version, even if configure is ready for it
parent 3fd1ac0b
No preview for this file type
......@@ -557,7 +557,7 @@ Finally, \configure\ recognizes the following command-line options:\\
\texttt{--enable-signals}& enable signal trapping (default: disabled)\\
\end{tabular}\\
\\
the following optional packages:\\
and the following optional packages:\\
\begin{tabular}{ll}
\texttt{--with-internal-blas}& compile with internal BLAS (default: no)\\
\texttt{--with-internal-lapack}& compile with internal LAPACK (default: no)\\
......@@ -572,9 +572,10 @@ the following optional packages:\\
& A valid \texttt{<path>} for HDF5 library must be specified (default: no)\\
\end{tabular}\\
\\
and the following options targeting the CUDA Fortran accelerated version:\\
The following options are available for the CUDA Fortran accelerated version
(currently in a separate package, not yet included in the main distribution):\\
\begin{tabular}{ll}
\texttt{--with-cuda=value}& enables the compiltion of the CUDA Fortran\\
\texttt{--with-cuda=value}& enables compilation of the CUDA Fortran\\
& accelerated subroutines. \\
& \texttt{value} should point the path where the CUDA toolkit \\
& is installed, e.g. \texttt{/opt/cuda} (default: no)\\
......@@ -591,8 +592,10 @@ and the following options targeting the CUDA Fortran accelerated version:\\
& PGI compilers currently accept 7.5, 8.0 or 9.0 (default: 8.0)\\
\end{tabular}\\
Please note that in order to compile the CUDA Fortran code you also need a
recent version of the PGI Fortran compilers (at least 17.4), OpenMP must be enabled,
Please note that in order to compile the CUDA Fortran code you need ...
the CUDA Fortran code (it is not yet available in the main distribution)!
you also need a recent version of the PGI Fortran compilers (at least 17.4).
OpenMP must be enabled,
and you may want to use a CUDA-aware MPI distribution to optimize the data
transfer between the processes.
......
......@@ -26,8 +26,9 @@ MANUAL=" Usage
<conf_flags> these flags will be passed to
the autoconf configure
After configuration, the make.inc file will created in the
After configuration, the make.inc file will be created in the
QE home (current) directory
NOTE: CUDA Fortran code available only as a separate package
---------------------------------------------------------------
Manual from autoconf configure :
......
#! /bin/sh
# Guess values for system-dependent variables and create Makefiles.
# Generated by GNU Autoconf 2.69 for ESPRESSO 6.2.
# Generated by GNU Autoconf 2.69 for ESPRESSO 6.3.
#
#
# Copyright (C) 1992-1996, 1998-2012 Free Software Foundation, Inc.
......@@ -577,8 +577,8 @@ MAKEFLAGS=
# Identity of this package.
PACKAGE_NAME='ESPRESSO'
PACKAGE_TARNAME='espresso'
PACKAGE_VERSION='6.2'
PACKAGE_STRING='ESPRESSO 6.2'
PACKAGE_VERSION='6.3'
PACKAGE_STRING='ESPRESSO 6.3'
PACKAGE_BUGREPORT=''
PACKAGE_URL=''
......@@ -1312,7 +1312,7 @@ if test "$ac_init_help" = "long"; then
# Omit some internal or obsolete options to make the list less imposing.
# This message is too long to be a string in the A/UX 3.1 sh.
cat <<_ACEOF
\`configure' configures ESPRESSO 6.2 to adapt to many kinds of systems.
\`configure' configures ESPRESSO 6.3 to adapt to many kinds of systems.
Usage: $0 [OPTION]... [VAR=VALUE]...
......@@ -1376,7 +1376,7 @@ fi
if test -n "$ac_init_help"; then
case $ac_init_help in
short | recursive ) echo "Configuration of ESPRESSO 6.2:";;
short | recursive ) echo "Configuration of ESPRESSO 6.3:";;
esac
cat <<\_ACEOF
......@@ -1500,7 +1500,7 @@ fi
test -n "$ac_init_help" && exit $ac_status
if $ac_init_version; then
cat <<\_ACEOF
ESPRESSO configure 6.2
ESPRESSO configure 6.3
generated by GNU Autoconf 2.69
Copyright (C) 2012 Free Software Foundation, Inc.
......@@ -1920,7 +1920,7 @@ cat >config.log <<_ACEOF
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.
It was created by ESPRESSO $as_me 6.2, which was
It was created by ESPRESSO $as_me 6.3, which was
generated by GNU Autoconf 2.69. Invocation command line was
$ $0 $@
......@@ -10652,7 +10652,7 @@ cat >>$CONFIG_STATUS <<\_ACEOF || ac_write_fail=1
# report actual input values of CONFIG_FILES etc. instead of their
# values after options handling.
ac_log="
This file was extended by ESPRESSO $as_me 6.2, which was
This file was extended by ESPRESSO $as_me 6.3, which was
generated by GNU Autoconf 2.69. Invocation command line was
CONFIG_FILES = $CONFIG_FILES
......@@ -10714,7 +10714,7 @@ _ACEOF
cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
ac_cs_config="`$as_echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`"
ac_cs_version="\\
ESPRESSO config.status 6.2
ESPRESSO config.status 6.3
configured by $0, generated by GNU Autoconf 2.69,
with options \\"\$ac_cs_config\\"
......
......@@ -6,7 +6,7 @@
# of the License. See the file `License' in the root directory
# of the present distribution.
AC_INIT(ESPRESSO, 6.2, , espresso)
AC_INIT(ESPRESSO, 6.3, , espresso)
AC_PREREQ(2.64)
AC_CONFIG_MACRO_DIR([m4/])
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment